# Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/CoordinateSystems/ups/UPS.cpp File Reference

`#include <math.h>`
`#include "UPS.h"`
`#include "PolarStereographic.h"`
`#include "PolarStereographicScaleFactorParameters.h"`
`#include "MapProjectionCoordinates.h"`
`#include "UPSCoordinates.h"`
`#include "GeodeticCoordinates.h"`
`#include "CoordinateConversionException.h"`
`#include "ErrorMessages.h"`

Go to the source code of this file.

## Defines

#define | EPSILON 1.75e-7

## Variables

const double | PI = 3.14159265358979323e0
const double | PI_OVER = (PI/2.0e0)
const double | MAX_LAT = 90.0 * (PI / 180.0)
const double | MAX_ORIGIN_LAT = 81.114528 * (PI / 180.0)
const double | MIN_NORTH_LAT = 83.5 * (PI / 180.0)
const double | MAX_SOUTH_LAT = -79.5 * (PI / 180.0)
const double | MIN_EAST_NORTH = 0.0
const double | MAX_EAST_NORTH = 4000000.0
const double | UPS_False_Easting = 2000000
const double | UPS_False_Northing = 2000000
const double | UPS_Origin_Longitude = 0.0

## Define Documentation

#define EPSILON 1.75e-7

Definition at line 116 of file UPS.cpp.

## Variable Documentation

const double MAX_EAST_NORTH = 4000000.0

Definition at line 125 of file UPS.cpp.

const double MAX_LAT = 90.0 * (PI / 180.0)

Definition at line 120 of file UPS.cpp.

const double MAX_ORIGIN_LAT = 81.114528 * (PI / 180.0)

Definition at line 121 of file UPS.cpp.

const double MAX_SOUTH_LAT = -79.5 * (PI / 180.0)

Definition at line 123 of file UPS.cpp.

const double MIN_EAST_NORTH = 0.0

Definition at line 124 of file UPS.cpp.

const double MIN_NORTH_LAT = 83.5 * (PI / 180.0)

Definition at line 122 of file UPS.cpp.

const double PI = 3.14159265358979323e0

Definition at line 118 of file UPS.cpp.

const double PI_OVER = (PI/2.0e0)

Definition at line 119 of file UPS.cpp.

const double UPS_False_Easting = 2000000

Definition at line 127 of file UPS.cpp.

const double UPS_False_Northing = 2000000

Definition at line 128 of file UPS.cpp.

const double UPS_Origin_Longitude = 0.0

Definition at line 129 of file UPS.cpp.